# Uses of Class
org.apache.sysds.api.mlcontext.FrameSchema

Packages that use FrameSchema
Package
Description
org.apache.sysds.api.mlcontext

## Uses of FrameSchema in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return FrameSchema
Modifier and Type
Method
Description
`FrameSchema`
FrameMetadata.`getFrameSchema()`
Obtain the frame schema
Methods in org.apache.sysds.api.mlcontext with parameters of type FrameSchema
Modifier and Type
Method
Description
`void`
FrameMetadata.`setFrameSchema(FrameSchema frameSchema)`
Set the frame schema
Constructors in org.apache.sysds.api.mlcontext with parameters of type FrameSchema
Modifier
Constructor
Description
``
`FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema)`
Constructor to create a FrameMetadata object based on frame format and frame schema.
``
`FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema, int numRows, int numColumns)`
Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, and the number of columns in a frame.
``
`FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema, int numRows, int numColumns, int numNonZeros, int blen)`
Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
``
`FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema, Long numRows, Long numColumns)`
Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, and the number of columns in a frame.
``
`FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema, Long numRows, Long numColumns, Long numNonZeros, Integer blen)`
Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
``
`FrameMetadata(FrameSchema frameSchema)`
Constructor to create a FrameMetadata object based on frame schema.
``
`FrameMetadata(FrameSchema frameSchema, MatrixCharacteristics matrixCharacteristics)`
Constructor to create a FrameMetadata object based on the frame schema and a DataCharacteristics object.